Bug 508409 - RHEL 5.4 cxgb3i (open-iscsi) connection error through VLAN
RHEL 5.4 cxgb3i (open-iscsi) connection error through VLAN
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Mike Christie
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 18:27 EDT by kxie
Modified: 2009-09-02 05:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel patch generated against dzickus 155.el5 (1.20 KB, patch)
2009-06-26 18:27 EDT, kxie
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1243 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.4 kernel security and bug fix update 2009-09-01 04:53:34 EDT

  None (edit)
Description kxie 2009-06-26 18:27:42 EDT
Created attachment 349617 [details]
kernel patch generated against dzickus 155.el5

Description of problem:

If VLAN is configured on the cxgb3 interface, the iscsi connection would be denied with error message "NOT going through cxgbi device."


How reproducible:


Steps to Reproduce:
1. configure VLAN on the cxgb3 interface
2. iscsi discovery via cxgb3i
3. connect to the discovered target via cxgb3i
  
Actual results:
The connection would fail.

Expected results:
The connection should go through.

Additional info:
Comment 1 Mike Christie 2009-06-27 14:24:52 EDT
This is a new driver in 5.4, so no chance for regression and Chelsio is actually doing the QA/QE for us, so adding the patch will not invalidate our testing.
Comment 2 RHEL Product and Program Management 2009-06-27 14:32:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 RHEL Product and Program Management 2009-07-07 11:23:44 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Don Zickus 2009-07-14 16:57:53 EDT
in kernel-2.6.18-158.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 kxie 2009-07-16 20:06:26 EDT
JFYI, we tried the kernel-2.6.18-158.el5 and the problem is no longer happening, the connection went through fine.
Comment 11 errata-xmlrpc 2009-09-02 05:00:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.